Bug 1734022 - unable to check avoid duplicates in smart variables UI
Summary: unable to check avoid duplicates in smart variables UI
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Smart Variables
Version: 6.6.0
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: 6.6.0
Assignee: orabin
QA Contact: Peter Dragun
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-29 13:11 UTC by Peter Ondrejka
Modified: 2019-10-22 19:51 UTC (History)
4 users (show)

Fixed In Version: foreman-1.22.0.12-1
Doc Type: If docs needed, set a value
Doc Text:
Currently there is no way to set the 'Avoid Duplicate' setting in the Smart Variables user interface.
Clone Of:
Environment:
Last Closed: 2019-10-22 19:51:39 UTC
Target Upstream Version:


Attachments (Terms of Use)
screenshot (34.27 KB, image/png)
2019-07-29 13:11 UTC, Peter Ondrejka
no flags Details


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 27468 None None None 2019-07-30 10:38:12 UTC

Description Peter Ondrejka 2019-07-29 13:11:37 UTC
Created attachment 1594267 [details]
screenshot

Description of problem:

Currently there is no way to set the avoid duplicate setting in the smart variables ui. 

Version-Release number of selected component (if applicable):

Satellite 6.6 snap 13

How reproducible:
always

Steps to Reproduce:
1. In UI go to Configure > Smart Variables
2. Create s. variable or edit an existing one
3. For Default Behavior set the parameter type to array.
4. Check Merge Overrides, which makes Merge Default active. Note that Avoid duplicates remains inactive.

Actual results:
Checkbox inactive

Expected results:
Checkbox active

Additional info:
screenshot attached

Comment 3 orabin 2019-07-30 10:38:11 UTC
Created redmine issue https://projects.theforeman.org/issues/27468 from this bug

Comment 4 Bryan Kearney 2019-07-30 12:01:27 UTC
Upstream bug assigned to orabin@redhat.com

Comment 5 Bryan Kearney 2019-07-30 12:01:29 UTC
Upstream bug assigned to orabin@redhat.com

Comment 6 Bryan Kearney 2019-07-30 14:01:27 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/27468 has been resolved.

Comment 8 Peter Dragun 2019-08-19 08:44:29 UTC
Verified on Sat 6.6 snap 16 using steps from problem description. Checkbox 'Avoid duplicates' is active after checking 'Merge Overrides'.

Comment 9 Bryan Kearney 2019-10-22 19:51:39 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:3172


Note You need to log in before you can comment on or make changes to this bug.